/******************************************************************************/
/*                                                                            */
/* $Source: /src/rcs/Cats/XSystem/pex/mbx/common.h,v $
/* $Date: 93/11/23 15:33:10 $
/* $Revision: 1.1 $
/*                                                                            */
/* Description:                                                               */
/*	Common constants for MBX tests					      */
/******************************************************************************/


/* 
 * Constants 
 */
#define NUMCOLORS     4 /* Define the number of colors to add to the colormap */
#define REDLINES    100 /* Define the colormap entry for RED                  */
#define GREENLINES  101 /* Define the colormap entry for GREEN                */
#define BLUELINES   102 /* Define the colormap entry for BLUE                 */
#define BLACKLINES  103 /* Define the colormap entry for BLACK                */

#define SOLIDDELTA     60  /* Define angle increment for a solid cube       */
#define WIREFRAMEDELTA 60  /* Define angle increment for a wireframe cube   */

#define WIREFRAME     0 /* Define that a wireframe cube is currently active   */
#define SOLID         1 /* Define that a solid cube is currently active       */

#define WIN_GEOM	"500x500+250+250"
#define XPOS		250
#define YPOS		250
#define WIDTH		200
#define HEIGHT		200

/*
 * Externs for utility routines
 */

extern Display *init_pex();
extern PEXRenderer setup_renderer();
extern void redraw();
extern void SetView();
extern void SetColors();
